%define upstream_name Authen-SASL-SASLprep
%define upstream_version 1.100

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	A Stringprep Profile for User Names and Passwords (RFC 4013)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Authen/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Build) >= 0.400.400
BuildRequires:	perl(Test::NoWarnings)
BuildRequires:	perl(Unicode::Stringprep)

BuildArch:	noarch

%description
Authen-SASL-SASLprep -- A Stringprep Profile for User Names and
Passwords (RFC 4013)

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

# Fix README's encoding
iconv -f iso-8859-1 -t utf-8 < README > README_ && mv -f README_ README

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.100.0-3.mga8
+ Revision: 1503476
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.100.0-2.mga7
+ Revision: 1281819
- Mageia 7 Mass Rebuild

* Fri Jul 21 2017 sander85 <sander85> 1.100.0-1.mga7
+ Revision: 1126001
- update to 1.100

* Sat Jun 18 2016 pterjan <pterjan> 1.11.0-3.mga6
+ Revision: 1022672
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.11.0-2.mga6
+ Revision: 966142
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.11.0-1.mga6
+ Revision: 842651
- imported package perl-Authen-SASL-SASLprep

